### Function

# Devhelp Link new

#### Declaration [src]

    DhLink*
    dh_link_new (
      DhLinkType type,
      DhLink* book_link,
      const gchar* name,
      const gchar* relative_url
    )

#### Description

No description available.

#### Parameters

`type` | `DhLinkType`
| The `DhLinkType`. Must be different than `DH_LINK_TYPE_BOOK`.
`book_link` | `DhLink`
| The `DhLink` of type `DH_LINK_TYPE_BOOK` for the book that the link is contained in.
| The data is owned by the caller of the function.
`name` | `const gchar*`
| The name of the link.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`relative_url` | `const gchar*`
| The URL relative to the book base path. Can contain an anchor.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `DhLink`
| A new `DhLink`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.